%define upstream_name    Math-Vector-Real-Random
%define upstream_version 0.03

%global __provides_exclude perl\\(Math::Vector::Real\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Generate random real vectors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Random)
BuildRequires: perl(Math::Vector::Real)
BuildArch: noarch

%description
This module extends the the Math::Vector::Real manpage package adding some
methods for random generation of vectors.

Methods
    The extra methods are:

    * Math::Vector::Real->random_in_box($dim, $size)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-6.mga6
+ Revision: 1029860
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-5.mga6
+ Revision: 943937
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 745324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 685385
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 533068
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 sander85 <sander85> 0.30.0-1.mga4
+ Revision: 471251
- update to 0.03

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-3.mga3
+ Revision: 369684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.20.0-2.mga2
+ Revision: 116764
- remove erroneous provides

* Thu Jun 30 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 116549
- imported package perl-Math-Vector-Real-Random


* Thu Jun 30 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
